import es
import random
import effectlib

# show a beam between attacker and victim if it was a crit shot
beam = 1

# color of the beam
beam_red = 255
beam_blue = 0
beam_green = 0

# how long the beam is visible (in seconds)
beam_duration = 1

# mult   = multiplicator for the damage (standard = 1.0)
# chance = chance in percent a critical shot happens
weapons = {
   'usp': {'mult': 2.0, 'chance': 20}
   'm4a1': {'mult': 1.5, 'chance': 5}
}

# plugin information
info = es.AddonInfo() 
info.name     = "Crit Shot" 
info.version  = "0.1" 
info.url      = "http://addons.eventscripts.com/addons/view/critshot" 
info.basename = "critshot" 
info.author   = "Rio"
   
def player_hurt(event_var):
   weapon = event_var['weapon']

   # check for fall dmg or he dmg
   if event_var['userid'] != event_var['attacker']:
      if weapons.has_key(weapon):
         rand = random.randint(0, 100)
      
         if weapons[weapon].has_key('mult') and weapons[weapon].has_key('chance'):
            if rand <= weapons[weapon]['chance']:
               # crit shot
               if beam:
                  coord1 = es.getplayerprop(event_var['userid'], 'CBaseEntity.m_vecOrigin')
                  coord2 = es.getplayerprop(event_var['attacker'], 'CBaseEntity.m_vecOrigin')
                  
                  effectlib.drawLine(coord1, coord2, 'materials/sprites/laser.vmt', 'materials/sprites/halo01.vmt', beam_duration, 10, 10, beam_red, beam_green, beam_blue)
               
               # crit dmg
               damage = int(event_var['dmg_health']) * int(weapons[weapon]['mult']) - int(event_var['dmg_health'])
               es.server.cmd('damage %i %i' % (int(event_var['userid']), damage))